Toggle Contact Follow Status
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Contact/ToggleFollow/{contactId} \
--header 'Authorization: Bearer <token>'const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Contact/ToggleFollow/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Contact/ToggleFollow/{contactId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Contact/ToggleFollow/{contactId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Contact/ToggleFollow/{contactId}';
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
Toggle Contact Follow Status
Starts following the contact for the authenticated user, or stops following it if the user already does. Followed contacts appear in the List Followed Contacts and List Followed Contact Activity endpoints.
PUT
/
api
/
Contact
/
ToggleFollow
/
{contactId}
Toggle Contact Follow Status
Last modified on August 11, 2026
Was this page helpful?
⌘I